Subject: Re: [RFC PATCH v2 3/3] ptp_ocp: implement DPLL ops

From: Jakub Kicinski <[email-masked]>
Date: Tue, 28 Jun 2022 20:24:14 -0700

On Tue, 28 Jun 2022 12:11:24 -0700 Jonathan Lemon wrote:
> > > 80-column limit (here and throughout the file)  
> > 
> > I thought this rule was relaxed up to 100-columns?  
> 
> Only in exceptional cases, IIRC.  checkpatch complains too.

Yup, for networking I still prefer 80 chars. 
My field of vision is narrow.

> > > 80 cols, and this should be done before ptp_ocp_complete()
> > > Also, should 'goto out', not return 0 and leak resources.  
> > 
> > I don't think we have to go with error path. Driver itself can work without
> > DPLL device registered, there is no hard dependency. The DPLL device will
> > not be registered and HW could not be configured/monitored via netlink, but
> > could still be usable.  
> 
> Not sure I agree with that - the DPLL device is selected in Kconfig, so
> users would expect to have it present.  I think it makes more sense to
> fail if it cannot be allocated.

+1